# -*- coding: utf-8 -*-
import pkg_resources

try:
    __version__ = pkg_resources.get_distribution(__name__).version
except:
    __version__ = 'unknown'


def find_area_by_phone(p):
    data_carry = {
        '010' : '北京',
        '020' : '广州',
        '021' : '上海',
        '022' : '天津',
        '023' : '重庆',
        '024' : '沈阳',
        '025' : '南京',
        '027' : '武汉',
        '028' : '成都',
        '029' : '西安',
        '0312' : '保定',
        '0313' : '张家口',
        '0314' : '承德',
        '0315' : '唐山',
        '0316' : '廊坊',
        '0317' : '沧州',
        '0318' : '衡水',
        '0319' : '邢台',
        '0310' : '邯郸',
        '0335' : '秦皇岛',
        '0349' : '朔州',
        '0351' : '太原',
        '0352' : '大同',
        '0353' : '阳泉',
        '0354' : '晋中',
        '0355' : '长治',
        '0356' : '晋城',
        '0357' : '临汾',
        '0358' : '吕梁',
        '0359' : '运城',
        '0350' : '忻州',
        '0371' : ['郑州', '开封'],
        '0372' : '安阳',
        '0373' : '新乡',
        '0374' : '许昌',
        '0375' : '平顶山',
        '0376' : '信阳',
        '0377' : '南阳',
        '0379' : '洛阳',
        '0370' : '商丘',
        '0391' : ['焦作', '济源'],
        '0392' : '鹤壁',
        '0393' : '濮阳',
        '0394' : '周口',
        '0395' : '漯河',
        '0396' : '驻马店',
        '0398' : '三门峡',
        '0411' : '大连',
        '0412' : '鞍山',
        '0415' : '丹东',
        '0416' : '锦州',
        '0417' : '营口',
        '0418' : '阜新',
        '0419' : '辽阳',
        '0421' : '朝阳',
        '0427' : '盘锦',
        '0429' : '葫芦岛',
        '0431' : '长春',
        '0432' : '吉林',
        '0433' : '延边朝鲜族自治州',
        '0434' : '四平',
        '0435' : '通化',
        '0436' : '白城',
        '0437' : '辽源',
        '0438' : '松原',
        '0439' : '白山',
        '0451' : '哈尔滨',
        '0452' : '齐齐哈尔',
        '0453' : '牡丹江',
        '0454' : '佳木斯',
        '0455' : '绥化',
        '0456' : '黑河',
        '0457' : '大兴安岭',
        '0458' : '伊春',
        '0459' : '大庆',
        '0464' : '七台河',
        '0467' : '鸡西',
        '0468' : '鹤岗',
        '0469' : '双鸭山',
        '0471' : '呼和浩特',
        '0472' : '包头',
        '0473' : '乌海',
        '0474' : '乌兰察布',
        '0475' : '通辽',
        '0476' : '赤峰',
        '0477' : '鄂尔多斯',
        '0478' : '巴彦淖尔',
        '0479' : '锡林郭勒盟',
        '0470' : '呼伦贝尔',
        '0482' : '兴安盟',
        '0483' : '阿拉善盟',
        '0511' : '镇江',
        '0512' : '苏州',
        '0513' : '南通',
        '0514' : '扬州',
        '0515' : '盐城',
        '0516' : '徐州',
        '0517' : '淮安',
        '0518' : '连云港',
        '0519' : '常州',
        '0510' : '无锡',
        '0523' : '泰州',
        '0527' : '宿迁',
        '0531' : '济南',
        '0532' : '青岛',
        '0533' : '淄博',
        '0534' : '德州',
        '0535' : '烟台',
        '0536' : '潍坊',
        '0537' : '济宁',
        '0538' : '泰安',
        '0539' : '临沂',
        '0530' : '菏泽',
        '0543' : '滨州',
        '0546' : '东营',
        '0551' : '合肥',
        '0552' : '蚌埠',
        '0553' : '芜湖',
        '0554' : '淮南',
        '0555' : '马鞍山',
        '0556' : '安庆',
        '0557' : '宿州',
        '0558' : ['阜阳', '亳州'],
        '0559' : '黄山',
        '0550' : '滁州',
        '0561' : '淮北',
        '0562' : '铜陵',
        '0563' : '宣城',
        '0564' : '六安',
        '0566' : '池州',
        '0571' : '杭州',
        '0572' : '湖州',
        '0573' : '嘉兴',
        '0574' : '宁波',
        '0575' : '绍兴',
        '0576' : '台州',
        '0577' : '温州',
        '0578' : '丽水',
        '0579' : '金华',
        '0570' : '衢州',
        '0580' : '舟山',
        '0591' : '福州',
        '0592' : '厦门',
        '0593' : '宁德',
        '0594' : '莆田',
        '0595' : '泉州',
        '0596' : '漳州',
        '0597' : '龙岩',
        '0598' : '三明',
        '0599' : '南平',
        '0631' : '威海',
        '0632' : '枣庄',
        '0633' : '日照',
        '0634' : '莱芜',
        '0635' : '聊城',
        '0662' : '阳江',
        '0663' : '揭阳',
        '0668' : '茂名',
        '0660' : '汕尾',
        '0691' : '西双版纳傣族自治州',
        '0692' : '德宏傣族景颇族自治州',
        '0711' : '鄂州',
        '0712' : '孝感',
        '0713' : '黄冈',
        '0714' : '黄石',
        '0715' : '咸宁',
        '0716' : '荆州',
        '0717' : '宜昌',
        '0718' : '恩施土家族苗族自治州',
        '0719' : ['十堰', '神农架'],
        '0710' : '襄阳',
        '0722' : '随州',
        '0724' : '荆门',
        '0728' : ['仙桃', '天门', '潜江'],
        '0731' : ['长沙', '湘潭', '株洲'],
        '0734' : '衡阳',
        '0735' : '郴州',
        '0736' : '常德',
        '0737' : '益阳',
        '0738' : '娄底',
        '0739' : '邵阳',
        '0730' : '岳阳',
        '0743' : '湘西土家族苗族自治州',
        '0744' : '张家界',
        '0745' : '怀化',
        '0746' : '永州',
        '0751' : '韶关',
        '0752' : '惠州',
        '0753' : '梅州',
        '0754' : '汕头',
        '0755' : '深圳',
        '0756' : '珠海',
        '0757' : '佛山',
        '0758' : '肇庆',
        '0759' : '湛江',
        '0750' : '江门',
        '0762' : '河源',
        '0763' : '清远',
        '0766' : '云浮',
        '0768' : '潮州',
        '0769' : '东莞',
        '0760' : '中山',
        '0771' : ['南宁', '崇左'],
        '0772' : ['柳州', '来宾'],
        '0773' : '桂林',
        '0774' : ['梧州', '贺州'],
        '0775' : ['贵港', '玉林'],
        '0776' : '百色',
        '0777' : '钦州',
        '0778' : '河池',
        '0779' : '北海',
        '0770' : '防城港',
        '0791' : '南昌',
        '0792' : '九江',
        '0793' : '上饶',
        '0794' : '抚州',
        '0795' : '宜春',
        '0796' : '吉安',
        '0797' : '赣州',
        '0798' : '景德镇',
        '0799' : '萍乡',
        '0790' : '新余',
        '0701' : '鹰潭',
        '0812' : '攀枝花',
        '0813' : '自贡',
        '0816' : '绵阳',
        '0817' : '南充',
        '0818' : '达州',
        '0825' : '遂宁',
        '0826' : '广安',
        '0827' : '巴中',
        '0831' : '宜宾',
        '0832' : '内江',
        '0833' : '乐山',
        '0834' : '凉山彝族自治州',
        '0835' : '雅安',
        '0836' : '甘孜藏族自治州',
        '0837' : '阿坝藏族羌族自治州',
        '0838' : '德阳',
        '0839' : '广元',
        '0830' : '泸州',
        '0851' : ['贵阳', '遵义', '安顺'],
        '0854' : '黔南布依族苗族自治州',
        '0855' : '黔东南苗族侗族自治州',
        '0856' : '铜仁',
        '0857' : '毕节',
        '0858' : '六盘水',
        '0859' : '黔西南布依族苗族自治州',
        '0871' : '昆明',
        '0872' : '大理白族自治州',
        '0873' : '红河哈尼族彝族自治州',
        '0874' : '曲靖',
        '0875' : '保山',
        '0876' : '文山壮族苗族自治州',
        '0877' : '玉溪',
        '0878' : '楚雄彝族自治州',
        '0879' : '普洱',
        '0870' : '昭通',
        '0883' : '临沧',
        '0886' : '怒江傈僳族自治州',
        '0887' : '迪庆藏族自治州',
        '0888' : '丽江',
        '0891' : '拉萨',
        '0892' : '日喀则',
        '0893' : '山南',
        '0894' : '林芝',
        '0895' : '昌都',
        '0896' : '那曲',
        '0897' : '阿里',
        '0898' : '海南',
        '0911' : '延安',
        '0912' : '榆林',
        '0913' : '渭南',
        '0914' : '商洛',
        '0915' : '安康',
        '0916' : '汉中',
        '0917' : '宝鸡',
        '0919' : '铜川',
        '0931' : '兰州',
        '0932' : '定西',
        '0933' : '平凉',
        '0934' : '庆阳',
        '0935' : ['武威', '金昌'],
        '0936' : '张掖',
        '0937' : ['酒泉', '嘉峪关'],
        '0938' : '天水',
        '0939' : '陇南',
        '0930' : '临夏回族自治州',
        '0941' : '甘南藏族自治州',
        '0943' : '白银',
        '0951' : '银川',
        '0952' : '石嘴山',
        '0953' : '吴忠',
        '0954' : '固原',
        '0955' : '中卫',
        '0971' : '西宁',
        '0972' : '海东',
        '0973' : '黄南藏族自治州',
        '0974' : '海南藏族自治州',
        '0975' : '果洛藏族自治州',
        '0976' : '玉树藏族自治州',
        '0977' : '海西蒙古族藏族自治州',
        '0979' : '海西蒙古族藏族自治州格尔木',
        '0970' : '海北藏族自治州',
        '0991' : '乌鲁木齐',
        '0992' : ['伊犁哈萨克自治州奎屯', '塔城地区乌苏', '克拉玛依市独山子区'],
        '0993' : ['石河子', '塔城地区沙湾县'],
        '0994' : '昌吉回族自治州',
        '0995' : '吐鲁番',
        '0996' : '巴音郭楞蒙古自治州',
        '0997' : '阿克苏',
        '0998' : '喀什',
        '0999' : ['伊犁哈萨克自治州', '塔城', '阿勒泰'],
        '0990' : ['克拉玛依', '塔城地区和布克赛尔蒙古自治县'],
        '0901' : ['塔城', '沙湾县', '和布克赛尔蒙古自治县'],
        '0902' : '哈密',
        '0903' : '和田',
        '0906' : '阿勒泰',
        '0908' : '克孜勒苏柯尔克孜自治州',
        '0909' : '博尔塔拉蒙古自治州',
    }
    if data_carry.has_key(p):
        return data_carry.get(p)
    return None

def find_phone_by_area(n):
    data_carry = {
         '北京' : '010',
        '广州' : '020',
        '上海' : '021',
        '天津' : '022',
        '重庆' : '023',
        '沈阳' : '024',
        '南京' : '025',
        '武汉' : '027',
        '成都' : '028',
        '西安' : '029',
        '保定' : '0312',
        '张家口' : '0313',
        '承德' : '0314',
        '唐山' : '0315',
        '廊坊' : '0316',
        '沧州' : '0317',
        '衡水' : '0318',
        '邢台' : '0319',
        '邯郸' : '0310',
        '秦皇岛' : '0335',
        '朔州' : '0349',
        '太原' : '0351',
        '大同' : '0352',
        '阳泉' : '0353',
        '晋中' : '0354',
        '长治' : '0355',
        '晋城' : '0356',
        '临汾' : '0357',
        '吕梁' : '0358',
        '运城' : '0359',
        '忻州' : '0350',
        '郑州' : '0371',
        '开封' : '0371',
        '安阳' : '0372',
        '新乡' : '0373',
        '许昌' : '0374',
        '平顶山' : '0375',
        '信阳' : '0376',
        '南阳' : '0377',
        '洛阳' : '0379',
        '商丘' : '0370',
        '焦作' : '0391',
        '济源' : '0391',
        '鹤壁' : '0392',
        '濮阳' : '0393',
        '周口' : '0394',
        '漯河' : '0395',
        '驻马店' : '0396',
        '三门峡' : '0398',
        '大连' : '0411',
        '鞍山' : '0412',
        '丹东' : '0415',
        '锦州' : '0416',
        '营口' : '0417',
        '阜新' : '0418',
        '辽阳' : '0419',
        '朝阳' : '0421',
        '盘锦' : '0427',
        '葫芦岛' : '0429',
        '长春' : '0431',
        '吉林' : '0432',
        '延边朝鲜族自治州' : '0433',
        '四平' : '0434',
        '通化' : '0435',
        '白城' : '0436',
        '辽源' : '0437',
        '松原' : '0438',
        '白山' : '0439',
        '哈尔滨' : '0451',
        '齐齐哈尔' : '0452',
        '牡丹江' : '0453',
        '佳木斯' : '0454',
        '绥化' : '0455',
        '黑河' : '0456',
        '大兴安岭' : '0457',
        '伊春' : '0458',
        '大庆' : '0459',
        '七台河' : '0464',
        '鸡西' : '0467',
        '鹤岗' : '0468',
        '双鸭山' : '0469',
        '呼和浩特' : '0471',
        '包头' : '0472',
        '乌海' : '0473',
        '乌兰察布' : '0474',
        '通辽' : '0475',
        '赤峰' : '0476',
        '鄂尔多斯' : '0477',
        '巴彦淖尔' : '0478',
        '锡林郭勒盟' : '0479',
        '呼伦贝尔' : '0470',
        '兴安盟' : '0482',
        '阿拉善盟' : '0483',
        '镇江' : '0511',
        '苏州' : '0512',
        '南通' : '0513',
        '扬州' : '0514',
        '盐城' : '0515',
        '徐州' : '0516',
        '淮安' : '0517',
        '连云港' : '0518',
        '常州' : '0519',
        '无锡' : '0510',
        '泰州' : '0523',
        '宿迁' : '0527',
        '济南' : '0531',
        '青岛' : '0532',
        '淄博' : '0533',
        '德州' : '0534',
        '烟台' : '0535',
        '潍坊' : '0536',
        '济宁' : '0537',
        '泰安' : '0538',
        '临沂' : '0539',
        '菏泽' : '0530',
        '滨州' : '0543',
        '东营' : '0546',
        '合肥' : '0551',
        '蚌埠' : '0552',
        '芜湖' : '0553',
        '淮南' : '0554',
        '马鞍山' : '0555',
        '安庆' : '0556',
        '宿州' : '0557',
        '阜阳' : '0558',
        '亳州' : '0558',
        '黄山' : '0559',
        '滁州' : '0550',
        '淮北' : '0561',
        '铜陵' : '0562',
        '宣城' : '0563',
        '六安' : '0564',
        '池州' : '0566',
        '杭州' : '0571',
        '湖州' : '0572',
        '嘉兴' : '0573',
        '宁波' : '0574',
        '绍兴' : '0575',
        '台州' : '0576',
        '温州' : '0577',
        '丽水' : '0578',
        '金华' : '0579',
        '衢州' : '0570',
        '舟山' : '0580',
        '福州' : '0591',
        '厦门' : '0592',
        '宁德' : '0593',
        '莆田' : '0594',
        '泉州' : '0595',
        '漳州' : '0596',
        '龙岩' : '0597',
        '三明' : '0598',
        '南平' : '0599',
        '威海' : '0631',
        '枣庄' : '0632',
        '日照' : '0633',
        '莱芜' : '0634',
        '聊城' : '0635',
        '阳江' : '0662',
        '揭阳' : '0663',
        '茂名' : '0668',
        '汕尾' : '0660',
        '西双版纳傣族自治州' : '0691',
        '德宏傣族景颇族自治州' : '0692',
        '鄂州' : '0711',
        '孝感' : '0712',
        '黄冈' : '0713',
        '黄石' : '0714',
        '咸宁' : '0715',
        '荆州' : '0716',
        '宜昌' : '0717',
        '恩施土家族苗族自治州' : '0718',
        '十堰' : '0719',
        '神农架' : '0719',
        '襄阳' : '0710',
        '随州' : '0722',
        '荆门' : '0724',
        '仙桃' : '0728',
        '天门' : '0728',
        '潜江' : '0728',
        '长沙' : '0731',
        '湘潭' : '0731',
        '株洲' : '0731',
        '衡阳' : '0734',
        '郴州' : '0735',
        '常德' : '0736',
        '益阳' : '0737',
        '娄底' : '0738',
        '邵阳' : '0739',
        '岳阳' : '0730',
        '湘西土家族苗族自治州' : '0743',
        '张家界' : '0744',
        '怀化' : '0745',
        '永州' : '0746',
        '韶关' : '0751',
        '惠州' : '0752',
        '梅州' : '0753',
        '汕头' : '0754',
        '深圳' : '0755',
        '珠海' : '0756',
        '佛山' : '0757',
        '肇庆' : '0758',
        '湛江' : '0759',
        '江门' : '0750',
        '河源' : '0762',
        '清远' : '0763',
        '云浮' : '0766',
        '潮州' : '0768',
        '东莞' : '0769',
        '中山' : '0760',
        '南宁' : '0771',
        '崇左' : '0771',
        '柳州' : '0772',
        '来宾' : '0772',
        '桂林' : '0773',
        '梧州' : '0774',
        '贺州' : '0774',
        '贵港' : '0775',
        '玉林' : '0775',
        '百色' : '0776',
        '钦州' : '0777',
        '河池' : '0778',
        '北海' : '0779',
        '防城港' : '0770',
        '南昌' : '0791',
        '九江' : '0792',
        '上饶' : '0793',
        '抚州' : '0794',
        '宜春' : '0795',
        '吉安' : '0796',
        '赣州' : '0797',
        '景德镇' : '0798',
        '萍乡' : '0799',
        '新余' : '0790',
        '鹰潭' : '0701',
        '攀枝花' : '0812',
        '自贡' : '0813',
        '绵阳' : '0816',
        '南充' : '0817',
        '达州' : '0818',
        '遂宁' : '0825',
        '广安' : '0826',
        '巴中' : '0827',
        '宜宾' : '0831',
        '内江' : '0832',
        '乐山' : '0833',
        '凉山彝族自治州' : '0834',
        '雅安' : '0835',
        '甘孜藏族自治州' : '0836',
        '阿坝藏族羌族自治州' : '0837',
        '德阳' : '0838',
        '广元' : '0839',
        '泸州' : '0830',
        '贵阳' : '0851',
        '遵义' : '0851',
        '安顺' : '0851',
        '黔南布依族苗族自治州' : '0854',
        '黔东南苗族侗族自治州' : '0855',
        '铜仁' : '0856',
        '毕节' : '0857',
        '六盘水' : '0858',
        '黔西南布依族苗族自治州' : '0859',
        '昆明' : '0871',
        '大理白族自治州' : '0872',
        '红河哈尼族彝族自治州' : '0873',
        '曲靖' : '0874',
        '保山' : '0875',
        '文山壮族苗族自治州' : '0876',
        '玉溪' : '0877',
        '楚雄彝族自治州' : '0878',
        '普洱' : '0879',
        '昭通' : '0870',
        '临沧' : '0883',
        '怒江傈僳族自治州' : '0886',
        '迪庆藏族自治州' : '0887',
        '丽江' : '0888',
        '拉萨' : '0891',
        '日喀则' : '0892',
        '山南' : '0893',
        '林芝' : '0894',
        '昌都' : '0895',
        '那曲' : '0896',
        '阿里' : '0897',
        '海南' : '0898',
        '延安' : '0911',
        '榆林' : '0912',
        '渭南' : '0913',
        '商洛' : '0914',
        '安康' : '0915',
        '汉中' : '0916',
        '宝鸡' : '0917',
        '铜川' : '0919',
        '兰州' : '0931',
        '定西' : '0932',
        '平凉' : '0933',
        '庆阳' : '0934',
        '武威' : '0935',
        '金昌' : '0935',
        '张掖' : '0936',
        '酒泉' : '0937',
        '嘉峪关' : '0937',
        '天水' : '0938',
        '陇南' : '0939',
        '临夏回族自治州' : '0930',
        '甘南藏族自治州' : '0941',
        '白银' : '0943',
        '银川' : '0951',
        '石嘴山' : '0952',
        '吴忠' : '0953',
        '固原' : '0954',
        '中卫' : '0955',
        '西宁' : '0971',
        '海东' : '0972',
        '黄南藏族自治州' : '0973',
        '海南藏族自治州' : '0974',
        '果洛藏族自治州' : '0975',
        '玉树藏族自治州' : '0976',
        '海西蒙古族藏族自治州' : '0977',
        '海西蒙古族藏族自治州格尔木' : '0979',
        '海北藏族自治州' : '0970',
        '乌鲁木齐' : '0991',
        '伊犁哈萨克自治州奎屯' : '0992',
        '塔城地区乌苏' : '0992',
        '克拉玛依市独山子区' : '0992',
        '石河子' : '0993',
        '塔城地区沙湾县' : '0993',
        '昌吉回族自治州' : '0994',
        '吐鲁番' : '0995',
        '巴音郭楞蒙古自治州' : '0996',
        '阿克苏' : '0997',
        '喀什' : '0998',
        '伊犁哈萨克自治州' : '0999',
        '塔城' : '0901',
        '阿勒泰' : '0906',
        '克拉玛依' : '0990',
        '塔城地区和布克赛尔蒙古自治县' : '0990',
        '沙湾县' : '0901',
        '和布克赛尔蒙古自治县' : '0901',
        '哈密' : '0902',
        '和田' : '0903',
        '克孜勒苏柯尔克孜自治州' : '0908',
        '博尔塔拉蒙古自治州' : '0909',
    }
    if data_carry.has_key(n):
        return data_carry.get(n)
    return None


__all__ = ["find_phone_by_area", "find_area_by_phone"]